summaryrefslogtreecommitdiff
path: root/xi/init.d/mountvirtfs
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-03-29 23:36:22 +0100
committerdavidovski <david@davidovski.xyz>2022-03-29 23:36:22 +0100
commitdf88860947686a5e6507fc5d60ff33eac1158c6b (patch)
treed1dc7f2f003b08afb6d45f7170d7a0dd353060d3 /xi/init.d/mountvirtfs
parent33d239ecb3d66db2b005afbe68a7029c3f2d2ee0 (diff)
using sysvinit system bootscriptsHEADmaster
Diffstat (limited to 'xi/init.d/mountvirtfs')
-rw-r--r--xi/init.d/mountvirtfs74
1 files changed, 74 insertions, 0 deletions
diff --git a/xi/init.d/mountvirtfs b/xi/init.d/mountvirtfs
new file mode 100644
index 0000000..6396343
--- /dev/null
+++ b/xi/init.d/mountvirtfs
@@ -0,0 +1,74 @@
+#!/bin/sh
+########################################################################
+# Begin mountvirtfs
+#
+# Description : Ensure proc, sysfs, run, and dev are mounted
+#
+# Authors : Gerard Beekmans - gerard@linuxfromscratch.org
+# DJ Lucas - dj@linuxfromscratch.org
+# Update : Bruce Dubbs - bdubbs@linuxfromscratch.org
+#
+# Version : LFS 7.0
+#
+########################################################################
+
+### BEGIN INIT INFO
+# Provides: mountvirtfs
+# Required-Start: $first
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Mounts various special fs needed at start
+# Description: Mounts /sys and /proc virtual (kernel) filesystems.
+# Mounts /run (tmpfs) and /dev (devtmpfs).
+# This is done only if they are not already mounted.
+# with the kernel config proposed in the book, dev
+# should be automatically mounted by the kernel.
+# X-LFS-Provided-By: LFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "${1}" in
+ start)
+ # Make sure /run is available before logging any messages
+ if ! mountpoint /run >/dev/null; then
+ mount /run || failed=1
+ fi
+
+ mkdir -p /run/lock /run/shm
+ chmod 1777 /run/shm /run/lock
+
+ log_info_msg "Mounting virtual file systems: ${INFO}/run"
+
+ if ! mountpoint /proc >/dev/null; then
+ log_info_msg2 " ${INFO}/proc"
+ mount -o nosuid,noexec,nodev /proc || failed=1
+ fi
+
+ if ! mountpoint /sys >/dev/null; then
+ log_info_msg2 " ${INFO}/sys"
+ mount -o nosuid,noexec,nodev /sys || failed=1
+ fi
+
+ if ! mountpoint /dev >/dev/null; then
+ log_info_msg2 " ${INFO}/dev"
+ mount -o mode=0755,nosuid /dev || failed=1
+ fi
+
+ ln -sfn /run/shm /dev/shm
+
+ (exit ${failed})
+ evaluate_retval
+ exit $failed
+ ;;
+
+ *)
+ echo "Usage: ${0} {start}"
+ exit 1
+ ;;
+esac
+
+# End mountvirtfs